Subject: Re: bug#38181: Actual height of mode-line not taken into account

From: martin rudalics <[email-masked]>
Date: Wed, 6 May 2020 11:44:25 +0200

> I simply don't yet understand why updating the frame decorations that
 > have nothing to do with text layout needs init_iterator to run.  What
 > am I missing?  Redisplay doesn't in general redraw the whole frame, it
 > only redraws windows.

I don't understand either.  Fact is, that init_iterator is the only
agent within redisplay that frees realized faces and causes the new
border face to be realized.

martin